+++
title = "Das war Hack'n'Sun 2024 in Bonn"
authors = ["lianvw", "nik"]

[taxonomies]
tags = ["Bericht"]
projekt = ["Hack'n'Fun"]
aspekt = ["Freizeiten", "Tinkering", "Workshops"]
produkt = ["Hack'n'Sun"]

[extra.depiction]
image = "loeten.jpg"
alt = "Mehrere Kinder sitzen an einem Tisch in einem Pavillon und lernen Löten"
credits = "Dominik George"

[[extra.gallery.workshops]]
image = "loeten.jpg"
alt = "Mehrere Kinder sitzen an einem Tisch in einem Pavillon und lernen Löten"
credits = "Dominik George"

[[extra.gallery.workshops]]
image = "coding.jpg"
alt = "Kinder sitzen mit Laptops an einem Tisch in einem Pavillon"
credits = "Dominik George"

[[extra.gallery.workshops]]
image = "coding2.jpg"
alt = "Zwei Kinder gestikulieren begeistert vor einem Laptop, an dem sie ein Spiel programmieren"
credits = "Dominik George"

[[extra.gallery.freizeit]]
image = "lagerfeuer-led.jpg"
alt = "Viele Hände halten Stockbrot in ein Lagerfeuer mit bunter LED-Beleuchtung"
credits = "Dominik George"

[[extra.gallery.freizeit]]
image = "lagerfeuer-led2.jpg"
alt = "Kinder sitzen um ein Lagerfeuer, das bunt beleuchtet ist"
credits = "Dominik George"

[[extra.gallery.freizeit]]
image = "volleyball.jpg"
alt = "Kinder spielen Volleyball im Sand auf einer Wiese"
credits = "Dominik George"

[[extra.gallery.freizeit]]
image = "karaoke.jpg"
alt = "Einige Kinder bei diffusem Licht beim Singen mit Mikrofonen"
credits = "Dominik George"

[[extra.gallery.freizeit]]
image = "karaoke2.jpg"
alt = "Karaoke-Spiel mit einem AC/DC-Song auf einer Leinwand"
credits = "Dominik George"

[[extra.gallery.freizeit]]
image = "huepfburg1.jpg"
alt = "Hüpfburg auf einer Wiese"
credits = "Dominik George"

[[extra.gallery.freizeit]]
image = "huepfburg2.jpg"
alt = "Kinder auf einer Hüpfburg"
credits = "Dominik George"
+++

Im August 2024 fand zum vierten Mal unsere bisher größte Sommerferienfreizeit
[Hack'n'Sun](@/projekte/hack-n-fun/freizeiten/hacknsun/index.md) auf dem
[Jugendzeltplatz Bonn](https://www.jugendzeltplatz.de/) statt.

Das diesmal viertägige Programm bot neben Workshops auch ein umfangreiches, von
allen gemeinsam gestaltetes Freizeitprogramm sowie einen Besuch auf der FrOSCon.

<!-- more -->

Dieses Jahr gab es aber wieder eine Besonderheit: Die [FrOSCon](https://froscon.org/)
fand zeitgleich statt. Seit Teckids 2013 aus dem Jugendprogramm der FrOSCon
entstanden ist, gehört die Veranstaltung jedes Jahr zum traditionellen Programm
der Gemeinschaft.

Damit es auch dieses Jahr eine Beteiligung an der FrOSCon geben konnte, mussten
wir etwas Neues erproben: Deshalb wurde das Hack'n'Sun-Sommercamp um einen Tag
verlängert und am Samstag ein Tagesausflug zur FrOSCon angeboten.

Insgesamt nahmen, neben den AKtiven der Teckids-Gemeinschaft, 51 neue Kinder
und Jugendliche teil, lernten in Workshops, gestalteten gemeinsam die Abende und
beschäftigten sich am Samstag mit den Softwareprojekten auf der FrOSCon.

## Workshops

{{ gallery(name="workshops") }}

### Spieleprogrammieren mit Python & Pygame

Der Workshop fing damit an, dass Darius eine schnelle Einführung in
[Python](https://www.python.org/), [Pygame](https://www.pygame.org/) und
[Tiled](https://www.mapeditor.org/) gab. Dann beschäftigten sich die
Teilnehmenden bis zur Pause hauptsächlich mit Tiled, womit der Hintergrund des
Spiels und die Felder, auf die die Figuren (z.B. ein Yeti) bei Berührung
reagieren (im Falle eines Jump-and-run-Spiels die Felder, auf denem man steht
aka. aufhört zu fallen), erstellt werden.

Nach der Pause ging es vor allem darum, das Spiel mit Pygame zu programmieren.
Sowohl für Tiled, als auch für Python (und damit Pygame) gab es eine nicht ganz
fertige Vorlage, um das Programmieren einfacher zu machen. Ein Teil arbeitete
mit den Vorlagen weiter, erweiterte und verbesserte sie. Es ab aber auch andere
Ideen, zum Beispiel programmierte ein Teilnehmer ein MInesweeper-Spiel.
 
### Löten

Unter einem Pavilion waren die Lötkolben und Lötstationen aufgebaut.
Anfangs erklärte JJ, einer der aktiven Elektronik-Tutoren, wie man lötet;
danach konnten die Teilnehmenden sich aussuchen, was sie löten wollten: 
Ein Lötset von [Blinkyparts](https://shop.blinkyparts.com/de) in Form eines
[Axelotels](https://shop.blinkyparts.com/de/Axolotl-Fanclub-Badge-Ein-Aushaengeschild-fuer-absolute-Axolotl-Fans/blink235042),
eines
[Einhorns](https://shop.blinkyparts.com/de/Regenbogen-Einhorn-Loetbausatz-Einfacher-Anstecker-fuer-Anfaenger/blink232242),
eines
[Schmetterlings](https://shop.blinkyparts.com/de/Regenbogen-Schmetterling-Wunderbarer-Halsschmuck-und-einfacher-Bausatz/blink232742)
oder einer
[Rakete](https://shop.blinkyparts.com/de/Regenbogen-Rakete-Ein-Loetbausatz-nicht-von-dieser-Welt/blink234942).

Oder man konnte ein Pixeldisplay (8x8 rote LEDs, gesteuert von einem ESP8266)
löten, das man später programmieren konnte. Letzteres war deutlich schwieriger,
so dass einige Teilnehmende mehr Hilfe benötigten.

Aber auch für eigene Ideen war Platz: Ein Teilnehmer hatte einen Laptop mitgebracht,
welchen er modifizieren will. Hierfür mussten bspw. Kontakte überbrückt werden, wobei
die Löt-Tutor\*innen helfen konnten.

### Pixeldisplays

Nachdem die Teilnehmenden ihr Pixeldisplay beim Löt-Workshop gelötet hatten,
konnten sie hier (fast) direkt losprogrammieren. Es wurde anfangs nur erklärt,
in welcher Reihenfolge die Inhalte sind, dann konnten die Teilnehmenden
loslegen. Für die, die schnell fertig waren, gab es noch weitere Versuche mit
dem ESP-Mikrocontroller. Dabei konnten mit  einem ESP, Breadboards, LEDs oder
einem Ultraschallsensor unsterschiedliche Experimente durchgeführt werden.

Bei der Abschlusspräsentation führte einer der Teilnhemenden ein so
umprogrammiertes Pixeldisplay vor, dass es, statt eine sich immer
wiederholenden Reihenfolge aus Bildern und Text anzuzeigen, nachfragt,
was es anzeigen soll.

### Scratch

Dieses Jahr fand zum ersten Mal ein Workshop zum Thema
[Scratch](https://scratch.mit.edu/projects/editor/) statt, der sich vor allem
an Teilnehmende richtete, die noch keine Erfahrung im Programmieren hatten
und nicht mit einer textbasierten Programmiersprache beginnen wollten.

Der Workshop fing damit an, dass Keno, dieses Jahr der jüngste Tutor,
die Grundlagen erklärte. Dann ging es unter dem zweiten Pavillon zum Programmieren
an den Laptops. Nach kurzen [Schwierigkeiten mit der Technik](@/blog/2024/08/2024-08-16_laptopsuche/index.md)
fingen die Teilnehmenden an zu programmieren.

Die Ergebnisse waren vielseitig: Von einer kleinen Animation zum "Flappy
Bird"-artigem Spiel mit zu zu zufälligen Zeiten auftauchenden Hindernissen.

## Offenes Freizeit- und Abendprogramm

Im Abendbereich gab es viel Zeit für gemeinsame Aktivitäten. Diese wurden nicht
von den Aktiven der Teckids-Gemeinschaft gestaltet, sondern alle Teilnehmenden
wurden ausdrücklich dazu eingeladen, VOrschläge zu machen. Hierfür gab es eine
Plakatwand, an der jede\*r Aktivitäten anbieten konnte, zu denen sich andere
eintragen konnten.

Die Aktivitäten, die stattfanden, waren vielfältig. Es gab zwei Karaoke-Abende
mit dem Open-Source-Karaokespiel [Performous](http://performous.org/), viele
Runden [Werwölfe von Düsterwald](https://de.wikipedia.org/wiki/Die_Werw%C3%B6lfe_von_D%C3%BCsterwald),
Kartenspiele und auch "LAN-Parties" mit [Minetest](https://www.minetest.net/) oder
[SuperTuxKart](https://supertuxkart.net/). Und natürlich Lagerfeuer mit bunter
Beleuchtung, Stockbrot und Musik.

Natürlich konnten sich einige Teilnehmende auch nicht von ihren Workshop-Themen
lösen und bastelten am Abend weiter, oder diskutierten über die ersten eigenen
[Tinkering-Ideen](@/projekte/hack-n-fun/tinkering/index.md), die sie in Zukunft
in der Teckids-Gemeinschaft mit anderen umsetzen wollen.

Den ganzen Tag über gab es dieses Jahr zum Austoben eine Hüpfburg, die uns das
[Franz-Sales-Haus](https://www.franz-sales-haus.de/) freundlicherweise zur
Verfügung gestellt hatte.

{{ gallery(name="freizeit") }}

## Tagesausflug zur FrOSCon

Am Samstag fand ein Ausflug zur [FrOSCon](https://froscon.org/) (Free and Open Source Software Conference) statt.
Hier zeigen Organisationen (zum Beispiel [OpenStreetMap](https://www.openstreetmap.org/)) ihre Projekte.

Die Teilnehmenden teilten sich in Gruppen auf, um die FrOSCon zu erkunden. Zur Inspiration
gab es eine Rallye, bei der Verschiedenes über die ausstellenden Projekte herausgefunden
werden konnte.

Am Teckids-Stand stellten manche auch ihr Projekt vor, woran sie während Hack'n'Sun gebastelt hatten.

Nach dem Mittagessen bei der FrOSCon konnten sich die Teilnehmenden entscheiden,
ob sie noch bleiben oder zum Jugendzeltplatz zurück gehen wollten. Einige besonders
Interessierte nutzten den Nachmittag, um sich Vorträge anzusehen, beispielsweise über
die Programmiersprache Rust.

Nicht nur die Jugendlichen, sondern auch die Open-Source-Projekte auf der FrOSCon
hatten etwas vom Besuch. Markus vom Projekt [CMS Garden](https://www.cms-garden.org/de) meint:

> Es war toll, wie die Kids am Samstag mit ihrer Frageralley die Projekte
> der FrOSCon besuchten und ausfragten. Es war nicht nur für den CMS
> Garden eine echte Bereicherung.

Am Samstagabend kamen viele Jugendliche am Lagerfeuerplatz zusammen, um auch über
die abstrakteren Themen der FrOSCon und der Teckids-Gemeinschaft zu diskutieren:
Bei einer Diskussionsrunde "Was dürfen meine Lehrer\*innen eigentlich?" ging es
darum, was informationelle Selbstbestimmung ist, wann man nach seiner Einwilligung
gefragt werden muss, und welche Online-Plattformen Schulen eigentlich bentuzen dürfen
und warum.

{{ event_section(title="Die nächsten Hack'n'Sun", slug="hacknsun-2025-bn") }}
